## GnomeDbDataWidgetFilter GnomeDbDataWidgetFilter — Display and edit filtering options |

## Synopsis

                        GnomeDbDataWidgetFilter;
                        GnomeDbDataWidgetFilterClass;
                        GnomeDbDataWidgetFilterPriv;
    GtkWidget *         gnome_db_data_widget_filter_new     (GnomeDbDataWidget *data_widget);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GnomeDbDataWidgetFilter

## Implemented Interfaces

GnomeDbDataWidgetFilter implements GtkBuildable, GtkOrientable and AtkImplementorIface.

## Properties

      "data-widget"              GnomeDbDataWidget*    : Read / Write

## Description

## Details

### GnomeDbDataWidgetFilter

    typedef struct _GnomeDbDataWidgetFilter GnomeDbDataWidgetFilter;

### GnomeDbDataWidgetFilterClass

    typedef struct {
    	GtkVBoxClass                 parent_class;
    } GnomeDbDataWidgetFilterClass;

### GnomeDbDataWidgetFilterPriv

    typedef struct _GnomeDbDataWidgetFilterPriv GnomeDbDataWidgetFilterPriv;

### gnome_db_data_widget_filter_new ()

    GtkWidget *         gnome_db_data_widget_filter_new     (GnomeDbDataWidget *data_widget);

Creates a new GnomeDbDataWidgetFilter widget suitable to change the filter expression for `data_widget`'s displayed rows

`data_widget` : | a widget implementing the GnomeDbDataWidget interface
Returns : | the new widget

## Property Details

### The `"data-widget"` property

      "data-widget"              GnomeDbDataWidget*    : Read / Write